Subject: RE: bug#49544: 26.3; shift arrow command runaway

From: "Kunz, Chris" <[email-masked]>
Date: Tue, 13 Jul 2021 15:51:59 +0000

Emacs is running under WSL (Ubuntu).  It doesn't happen in any application under Windows 10 (including GNU Emacs 25.2.1 compiled for Windows).  It also doesn't happen in the xterm window running under WSL.  It could be WSL or VcXsrv.  I will try to move to WSL 2 and see if that solves the issue.

Thanks,
Chris

-----Original Message-----
From: Eli Zaretskii <[email-masked]> 
Sent: Tuesday, July 13, 2021 10:41
To: Kunz, Chris <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#49544: 26.3; shift arrow command runaway

> Date: Tue, 13 Jul 2021 14:15:06 +0000
> From:  "Kunz, Chris" via "Bug reports for GNU Emacs,  the Swiss army 
> knife of text editors" <[email-masked]>
> 
> When I try to select a region using shift+arrow, if I hold the key 
> combination down for a second or two it will continue selecting the 
> text after the keys are released. It appears to enter an infinite loop and only stops after reaching the end (or beginning) of the buffer.
> 
>  
> 
> The arrow key alone does not show the same behavior. This is reproducible across major modes.

Is this some "accessibility" feature of your system, perhaps?  There's no such feature in Emacs, AFAIK.